part of 'account_bloc.dart';

final class AccountState {
  final List<Account> accounts;

  const AccountState({
    this.accounts = const [],
  });

  AccountState copyWith(List<Account>? accounts) {
    return AccountState(
      accounts: accounts ?? this.accounts,
    );
  }
}

final class AccountRemoveFail extends AccountState {}
final class AccountRemoveSucess extends AccountState {}